<% content_for :head do %>
  <style>
    body {
      padding-top: 40px;
      padding-bottom: 40px;
      background-color: #f5f5f5;
    }

    .new_user {
      max-width: 300px;
      padding: 19px 29px 29px;
      margin: 0 auto 20px;
      background-color: #fff;
      border: 1px solid #e5e5e5;
      -webkit-border-radius: 5px;
      -moz-border-radius: 5px;
      border-radius: 5px;
      -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
      -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
      box-shadow: 0 1px 2px rgba(0,0,0,.05);
    }
    .new_user .form-signin-heading,
    .new_user .checkbox {
      margin-bottom: 10px;
    }
    .new_user input[type="text"],
    .new_user input[type="password"] {
      font-size: 16px;
      height: auto;
      margin-bottom: 15px;
      padding: 7px 9px;
    }
  </style>
<% end %>

<% content_for :main do %>
<div class="container">
  <%= form_for(resource, :as => resource_name, :url => session_path(resource_name), :html => {:class => "form-horizontal"}) do |f| %>
  <h2>Sign in</h2>
  <div class="control-group">
    <%= f.label :username, :class => "control-label" %>
    <div class="controls">
      <%= f.text_field :username %>
    </div>
  </div>
  <div class="control-group">
    <%= f.label :password, :class => "control-label" %>
    <div class="controls">
    <%= f.password_field :password %>
    </div>
  </div>

  <div class="control-group">
    <div class="controls">
      <% if devise_mapping.rememberable? -%>
        <label class="checkbox"><%= f.check_box :remember_me %> <%= f.label :remember_me %></label>
      <% end -%>
    </div>
  </div>

    <div class="form-actions">
    <%= f.submit "Sign in", :class => "btn btn-large btn-primary" %>
    <a href="/users/sign_up" class="btn btn-large">Sign up</a>
    </div>
  <% end %>

</div>
<% end %>

